<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>

    <!-- bootstrap core css -->
    <link rel="stylesheet" type="text/css" href="css/bootstrap.css" />

    <!-- fonts style -->
    <link href="https://fonts.googleapis.com/css?family=Poppins:400,600,700&display=swap" rel="stylesheet" />

    <!-- font awesome style -->
    <link href="css/font-awesome.min.css" rel="stylesheet" />
    <!-- owl carousel -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.carousel.min.css"
        integrity="sha256-UhQQ4fxEeABh4JrcmAJ1+16id/1dnlOEVCFOxDef9Lw=" crossorigin="anonymous" />
    <!-- Custom styles for this template -->
    <link href="css/style.css" rel="stylesheet" />
    <!-- responsive style -->
    <link href="css/responsive.css" rel="stylesheet" />
    <!-- this is for the text editor -->
    <script src="https://cdn.ckeditor.com/4.17.1/standard/ckeditor.js"></script>
</head>
<body class="sub_page">
    <div class="hero_area">
        <!-- header section strats -->
        <header class="header_section ">
            <div class="container-fluid">
                <nav class="navbar navbar-expand-lg custom_nav-container ">
                    <a class="navbar-brand" th:href="@{/}">
                        <span>
                            My class online
                        </span>
                    </a>
                    <button class="navbar-toggler" type="button" data-toggle="collapse"
                        data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                        <span class=""> </span>
                    </button>

                    <div class="collapse navbar-collapse" id="navbarSupportedContent">
                        <div class="d-flex mx-auto flex-column flex-lg-row align-items-center">
                            <ul class="navbar-nav  ">
                                <li class="nav-item ">
                                    <a class="nav-link" th:href="@{/}">Home </a>
                                </li>
                                <li th:if="${#httpServletRequest.isUserInRole('ROLE_ADMIN')}" class="nav-item ">
                                  <a class="nav-link" th:href="@{/admin}">ADMIN </a>
                              </li>
                                <li class="nav-item">
                                    <a class="nav-link" th:href="@{/about}" > About</a>
                                </li>
                                <li class="nav-item active">
                                    <a class="nav-link" th:href="@{/course}">Courses <span
                                            class="sr-only">(current)</span></a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" th:href="@{/teacher}">Teachers</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" th:href="@{/contact}">Contact Us</a>
                                </li>
                            </ul>
                        </div>
                        <div class="quote_btn-container">
                            <a href="">
                                <span>
                                    Log out
                                </span>
                                <i class="fa fa-user" aria-hidden="true"></i>
                            </a>
                            
                        </div>
                    </div>
                </nav>
            </div>
        </header>
        <!-- end header section -->

        <!-- this is for the text editor -->
        <form class="px-md-2" th:action="@{/addLesson}" th:object="${sortClassRoom}" method="post">

            <div class="card text-white bg-info mb-3" style="max-width: 120rem;">
                <div class="card-header">Her you can add a lesson with the text</div>
                <div class="card-body">
                    <div class="detail-box">
                        <label for="">Add The lesson name</label>
                        <input  type="text" th:field="${lesson.lessonName}">
                        <label for="pet-select">Choose a class room:</label>
    <select th:field="${lesson.classroom_id}" >
     <option th:value="2">History</option>
    <option th:value="4">GEOGRAPHY</option>
    <option th:value="5">MATH</option>
    <option th:value="6">SPORT</option>
    <option th:value="7">MUSIC</option>
    <option th:value="9">PHYSICS AND CHEMISTRY</option>
</select>
                        <textarea  class="ckeditor" id="content" th:field="${lesson.content}"></textarea>
                        <script>
                            CKEDITOR.replace('#content');
                        </script>
                        <div class="text-center">
                            <input type="submit" value="add" class="btn btn-primary">
                        </div>
                    </div>
                </div>
            </div>
        </form>
       
        <!-- end of the text editor -->
    <!-- info section -->
  <section class="info_section ">

    <div class="container">
      <div class="info_top ">
        <div class="row ">
          <div class="col-sm-6 col-md-4 col-lg-3">
            <div class="info_detail">
              <a href="index.html">
                <h4>
                  My class online
                </h4>
              </a>
              <p>
This plateform was created in February 2022 by khaled Razouk              </p>
              <div class="social_box">
                <a href="">
                  <i class="fa fa-facebook" aria-hidden="true"></i>
                </a>
                <a href="">
                  <i class="fa fa-twitter" aria-hidden="true"></i>
                </a>
                <a href="">
                  <i class="fa fa-linkedin" aria-hidden="true"></i>
                </a>
                <a href="">
                  <i class="fa fa-instagram" aria-hidden="true"></i>
                </a>
              </div>
            </div>
          </div>
          <div class="col-sm-6 col-md-4 col-lg-3 mx-auto">
            <h4>
              Contact us
            </h4>
            <p>
Join our team to teach with us the students who need help            </p>
            <div class="contact_nav">
              <a href="">
                <i class="fa fa-map-marker" aria-hidden="true"></i>
                <span>
                  Location
                </span>
              </a>
              <a href="">
                <i class="fa fa-phone" aria-hidden="true"></i>
                <span>
                  Call : +33 760228099
                </span>
              </a>
              <a href="">
                <i class="fa fa-envelope" aria-hidden="true"></i>
                <span>
                  Email : khaled_razouk@hotmail.com
                </span>
              </a>
            </div>
          </div>
          
        </div>
      </div>
    </div>
  </section>
        <!-- footer section -->
        <footer class="footer_section">
            <div class="container">
                <p>
                    &copy; <span id="displayYear"></span> All Rights Reserved By
                </p>
            </div>
        </footer>
        <!-- footer section -->




</body>

</html>